# ----------------------------------------------------------------------------
# - Psymake Makefile
# ----------------------------------------------------------------------------

ASM		= asmpsx
CC		= ccpsx
LINK		= psylink

# ----------------------------------------------------------------------------

# Define to compile final version. If defined removes all pollhosts, set 2MB
# and ramsize. Else use pollhosts and 8MB for development. 
CCOPTS          = -Wall -comments-c++ -c -O2 -DFINAL
# CCOPTS          = -Wunused -comments-c++ -c -O2 -I.. -I.
ASMOPTS		= /l /c
LINKOPTS	= /m /g 

#
#ASMOPTIONS = /l /o c+,h+,at- /zd
#LINKOPTS   = /m /n999
# ----------------------------------------------------------------------------

OBJS            = main.obj xaplay.obj balls.obj

# ----------------------------------------------------------------------------

all: main.cpe
	
main.cpe: $(OBJS) main.lnk
	$(LINK) $(LINKOPTS) @main.lnk,main.cpe,main.sym,main.map

exe : main.cpe
	cpe2x main.cpe
        del psx.exe
	rename main.exe psx.exe
# ------------------------------------------------------------------------------

main.obj: main.c
        $(CC) $(CCOPTS) main.c -omain.obj

xaplay.obj: xaplay.c xaplay.h
        $(CC) $(CCOPTS) xaplay.c -oxaplay.obj

balls.obj: balls.c balltex.h
        $(CC) $(CCOPTS) balls.c -oballs.obj

# ----------------------------------------------------------------------------

clean:
	del *.exe
	del *.cpe
        del *.obj
	del *.sym
        del *.map

# ------------------------------------------------------------------------------
